# -*- coding: utf-8 -*-
import autopath
from collect import available_days_in_logs, collect_log_filenames
import os.path as osp
from tools import compare_func

DATA = osp.join(autopath.HERE, 'data', 'collect')

def test_collect_log_filenames():
    """ test la recuperation des noms de fichier de log """
    l = list(collect_log_filenames(DATA))
    l.sort(compare_func)
    assert l == ['access.log', 'access.log.1.gz', 'access.log.2.gz', 'access.log.3.gz', 'access.log.4.gz', 'access.log.5.gz', 'access.log.6.gz', 'access.log.7.gz', 'access.log.8.gz', 'access.log.9.gz', 'access.log.10.gz', 'access.log.11.gz', 'access.log.12.gz', 'access.log.13.gz', 'access.log.14.gz']

def test_compare_func():
    names = ['a.3.toto', 'a.12.toto', 'a.toto', 'a.1.toto', 'a.2.toto']
    expected = [ 'a.toto', 'a.1.toto', 'a.2.toto', 'a.3.toto', 'a.12.toto']
    names.sort(compare_func)
    assert names == expected
    
def test_available_days_in_logs():
    """teste la recuperation et formate des fichiers de log """
    expected = {'week': [('jeudi', 'access.log'), ('mercredi', 'access.log.1.gz'), ('mardi', 'access.log.2.gz'), ('lundi', 'access.log.3.gz')], 'lastweek': [('dimanche', 'access.log.4.gz'), ('samedi', 'access.log.5.gz'), ('vendredi', 'access.log.6.gz'), ('jeudi', 'access.log.7.gz'), ('mercredi', 'access.log.8.gz'), ('mardi', 'access.log.9.gz'), ('lundi', 'access.log.10.gz')]}
    # force = 4 car il ne faut pas tenir compte du jour courant mais du weekday du test
    assert available_days_in_logs('access.log', DATA, DATA, force=4) == expected


