# -*- coding: utf-8 -*- 
import autopath
import os.path as osp
import os

from zip import Zip, get_content

DATA = osp.join(autopath.HERE, 'data')
expected = """"2007.6.22 9:02:55","-","10.21.11.1","http://google.fr","","GET","218","0","","1","301","-","",""
"2007.6.22 9:02:55","-","10.21.11.1","http://www.google.fr","","GET","3659","0","","1","200","text/html","",""
"2007.6.22 9:03:29","-","10.21.11.1","http://sb.google.com/safebrowsing/update?client=navclient-auto-ffox&appver=2.0.0.4&version=goog-white-domain:1:23,goog-white-url:1:371,goog-black-url:1:11715,goog-black-enchash:1:27525","","GET","257195","0","","1","200","text/html","",""
"2007.6.22 9:04:59","-","10.21.11.30","http://fr.fxfeeds.mozilla.com/fr/firefox/headlines.xml","","GET","338","0","","1","302","-","",""
"2007.6.22 9:05:02","sandra.baron","172.16.0.20","http://sb.google.com/safebrowsing/update?client=navclient-auto-ffox2.0.0.3&mozver=1.8.1.3-2007030919&version=goog-white-domain:1:23,goog-white-url:1:371,goog-black-url:1:11729,goog-black-enchash:1:27572","","GET","3775","0","","1","200","text/html","",""
"2007.6.22 9:05:07","-","10.21.11.30","http://sb.google.com/safebrowsing/update?client=navclient-auto-ffox2.0.0.3&mozver=1.8.1.3-2007030919&version=goog-white-domain:1:-1,goog-white-url:1:-1,goog-black-url:1:-1,goog-black-enchash:1:-1","","GET","1743994","0","","1","200","text/html","",""
"2007.6.22 9:05:13","-","10.21.11.30","http://www.google.com/","","GET","218","0","","1","302","-","",""
"2007.6.22 9:05:13","-","10.21.11.30","http://www.google.fr/","","GET","3676","0","","1","200","text/html","",""
"2007.6.22 9:05:24","-","10.21.11.30","http://www.sex.com/","*DENIED* Site interdit: sex.com","GET","0","0","","1","403","-","",""
"2007.6.22 9:05:25","-","10.21.11.30","http://www.sex.com/favicon.ico","*DENIED* Site interdit: sex.com","GET","0","0","","1","403","-","",""
"2007.6.22 9:05:38","-","10.21.11.30","http://www.google.com/","","GET","218","0","","1","302","-","",""
"2007.6.22 9:05:39","-","10.21.11.30","http://www.google.fr/","","GET","3678","0","","1","200","text/html","",""
"2007.6.22 9:05:54","sandra.baron","172.16.0.20","http://www.google.com","","GET","218","0","","1","302","-","",""
"2007.6.22 9:05:54","sandra.baron","172.16.0.20","http://www.google.fr","","GET","3678","0","","1","200","text/html","",""
"2007.6.22 9:05:59","sandra.baron","172.16.0.20","http://www.sex.com","*DENIED* Site interdit: sex.com","GET","0","0","","1","403","-","",""
"2007.6.22 9:05:59","sandra.baron","172.16.0.20","http://www.sex.com/favicon.ico","*DENIED* Site interdit: sex.com","GET","0","0","","1","403","-","",""
"2007.6.22 9:05:59","sandra.baron","172.16.0.20","http://www.sex.com/favicon.ico","*DENIED* Site interdit: sex.com","GET","0","0","","1","403","-","",""
"2007.6.22 9:06:01","-","10.21.11.30","http://www.google.fr/search?hl=fr&q=sex+boobs+&btnG=Recherche+Google&meta=","*URLMOD* ","GET","16589","23","","1","200","text/html","",""
"2007.6.22 9:06:08","-","10.21.11.30","http://en.wikipedia.org/wiki/Sex","","GET","45459","38","","1","200","text/html","",""
"2007.6.22 9:06:08","-","10.21.11.30","http://en.wikipedia.org/skins-1.5/common/shared.css?76","","GET","408","0","","1","200","text/css","",""
"2007.6.22 9:06:08","-","10.21.11.30","http://en.wikipedia.org/skins-1.5/monobook/main.css?76","","GET","29007","0","","1","200","text/css","",""
"2007.6.22 9:06:08","-","10.21.11.30","http://en.wikipedia.org/skins-1.5/common/commonPrint.css?76","","GET","5289","0","","1","200","text/css","",""
"2007.6.22 9:06:08","-","10.21.11.30","http://en.wikipedia.org/skins-1.5/monobook/handheld.css?76","","GET","22793","0","","1","200","text/css","",""
"2007.6.22 9:06:08","-","10.21.11.30","http://en.wikipedia.org/w/index.php?title=-&action=raw&gen=js","","GET","29511","0","","1","200","text/javascript","",""
"2007.6.22 9:06:09","-","10.21.11.30","http://en.wikipedia.org/w/index.php?title=Mediawiki:Wikimediaplayer.js&action=raw&ctype=text/javascript&dontcountme=s","","GET","5945","0","","1","200","text/javascript","",""
"2007.6.22 9:06:09","-","10.21.11.30","http://en.wikipedia.org/w/index.php?title=MediaWiki:Monobook.css&usemsgcache=yes&action=raw&ctype=text/css&smaxage=2678400","","GET","7010","0","","1","200","text/css","",""
"2007.6.22 9:06:09","-","10.21.11.30","http://en.wikipedia.org/w/index.php?title=MediaWiki:Common.css&usemsgcache=yes&action=raw&ctype=text/css&smaxage=2678400","","GET","20596","0","","1","200","text/css","",""
"2007.6.22 9:06:09","-","10.21.11.30","http://en.wikipedia.org/w/index.php?title=-&action=raw&gen=css&maxage=2678400","","GET","75","0","","1","200","text/css","",""
"2007.6.22 9:06:22","-","10.21.11.30","http://www.allocine.fr/film/fichefilm_gen_cfilm=40020.html","","GET","198313","-64","","1","200","text/html","",""
"2007.6.22 9:06:22","-","10.21.11.30","http://www.allocine.fr/skin/commonlib.js","","GET","24644","0","","1","200","text/html","",""
"2007.6.22 9:06:22","-","10.21.11.30","http://www.allocine.fr/pub/interstitiel/heros.html?Redir=http%3A//www.allocine.fr/film/fichefilm_gen_cfilm%3D40020.html&cpg=3677","","GET","2037","0","","1","200","text/html","",""
"2007.6.22 9:06:22","-","10.21.11.30","http://www.smartadserver.com/call/pubimppixel/1075819/77429390","","GET","282","0","","1","302","-","",""
"2007.6.22 9:06:30","-","10.21.11.30","http://www.google.fr/search?q=sex+boobs+&hl=fr&safe=vss&start=10&sa=N","*URLMOD* ","GET","17193","23","","1","200","text/html","",""
"2007.6.22 9:06:41","-","10.21.11.30","http://www.nosexnervous.com/","","GET","2787","-7","","1","200","text/html","",""
"2007.6.22 9:06:42","-","10.21.11.30","http://www.nosexnervous.com/new/zwatla_2051_ika/ika.css","","GET","4707","0","","1","200","text/css","",""
"2007.6.22 9:06:42","-","10.21.11.30","http://www.nosexnervous.com/favicon.ico","","GET","280","0","","1","302","-","",""
"2007.6.22 9:06:42","-","10.21.11.30","http://404.hosteur.com/","","GET","6265","-14","","1","200","text/html","",""
"2007.6.23 9:00:03","-","10.21.11.1","http://sb.google.com/safebrowsing/update?client=navclient-auto-ffox&appver=2.0.0.4&version=goog-white-domain:1:23,goog-white-url:1:371,goog-black-url:1:11729,goog-black-enchash:1:27573","","GET","1188","0","","1","200","text/html","",""
"""
def test_read_data():
    """lecture des données dans un fichier de type acces.log compressé"""

    z = Zip(osp.join(DATA, 'access.log.1.gz'))
    assert z.get_content() == expected


def test_get_content():
    assert get_content(osp.join(DATA, 'access.log.1.gz')) == expected
